Subject: Re: bug#45855: 28.0.50; gnus does not start if one of the nntp backend fails to authenticate

From: Alexandre Duret-Lutz <[email-masked]>
Date: Tue, 19 Jan 2021 08:53:35 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> So I'm unable to reproduce this problem.  Does (setq debug-on-error t)
> give you a backtrace?

Here:

Debugger entered--Lisp error: (nntp-authinfo-rejected . "Password rejected")
  signal(nntp-authinfo-rejected "Password rejected")
  #f(compiled-function () #<bytecode -0x100b464ebb0792ba>)()
  nntp-with-open-group-function(nil "news.lrde.epita.fr" nil #f(compiled-function () #<bytecode -0x100b464ebb0792ba>))
  nntp-request-newgroups("Mon, 18 Jan 2021 18:33:40 +0100" "news.lrde.epita.fr")
  gnus-request-newgroups("Mon, 18 Jan 2021 18:33:40 +0100" (nntp "news.lrde.epita.fr" (nntp-open-connection-function nntp-open-ssl-stream) (nntp-port-number 563) (nntp-address "news.lrde.epita.fr")))
  gnus-ask-server-for-new-groups()
  gnus-find-new-newsgroups()
  gnus-setup-news(nil nil nil)
  #f(compiled-function () #<bytecode -0xf05a054e1413c45>)()
  gnus-1(nil nil nil)
  gnus(nil)
  funcall-interactively(gnus nil)
  call-interactively(gnus nil nil)
  command-execute(gnus)

Here is what I see when I do it by hand:

% gnutls-cli -p 563 news.lrde.epita.fr
[...]
200 news.lrde.epita.fr InterNetNews NNRP server INN 2.6.3 ready (no posting)
AUTHINFO USER adl
381 Enter password
AUTHINFO PASS dummy
481 Authentication failed